Package ghidra.pcode.emu.jit.op

# Record Class JitFloatRoundOp

java.lang.Object
java.lang.Record
ghidra.pcode.emu.jit.op.JitFloatRoundOp

Record Components:
  `op` - the p-code op
  `out` - the use-def variable node for the output
  `u` - the use-def node for the input operand

All Implemented Interfaces:
  `JitDefOp`, `JitFloatUnOp`, `JitOp`, `JitUnOp`

public record JitFloatRoundOp(PcodeOp op, JitOutVar out, JitVal u) extends Record implements JitFloatUnOp
The use-def node for a `PcodeOp.FLOAT_ROUND`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JitFloatRoundOp(PcodeOp op, JitOutVar out, JitVal u)`
  Creates an instance of a `JitFloatRoundOp` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `PcodeOp`
  `op()`
  Returns the value of the `op` record component.
  `JitOutVar`
  `out()`
  Returns the value of the `out` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `JitVal`
  `u()`
  Returns the value of the `u` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.pcode.emu.jit.op.JitDefOp

  `canBeRemoved`

  ### Methods inherited from interface ghidra.pcode.emu.jit.op.JitFloatUnOp

  `type, uType`

  ### Methods inherited from interface ghidra.pcode.emu.jit.op.JitUnOp

  `inputs, link, typeFor, unlink`

- ## Constructor Details

  - ### JitFloatRoundOp

    public JitFloatRoundOp(PcodeOp op, JitOutVar out, JitVal u)
    Creates an instance of a `JitFloatRoundOp` record class.
    Parameters:
      `op` - the value for the `op` record component
      `out` - the value for the `out` record component
      `u` - the value for the `u` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### op

    public PcodeOp op()
    Returns the value of the `op` record component.
    Specified by:
      `op` in interface `JitOp`
    Returns:
      the value of the `op` record component

  - ### out

    public JitOutVar out()
    Returns the value of the `out` record component.
    Specified by:
      `out` in interface `JitDefOp`
    Returns:
      the value of the `out` record component

  - ### u

    public JitVal u()
    Returns the value of the `u` record component.
    Specified by:
      `u` in interface `JitUnOp`
    Returns:
      the value of the `u` record component